<?php

use Spire\Cloud\Word\Sdk\Client\Api\BookmarksApi;
use Spire\Cloud\Word\Sdk\Client\Configuration;

$appId = "your id";
$appKey = "your key";
$configuration = new Configuration($appId, $appKey);
$apiInstance = new BookmarksApi($configuration);

$start_paragraph_path = 'sections/0/paragraphs/0';
$start_index_in_paragraph  = 0;
$end_paragraph_path = 'sections/0/paragraphs/0';
$end_index_in_paragraph = 1;
$bookmark_name = 'test_name';
$name = "addBookmark.docx";
$folder = "input";
$storage = null;
$password = null;
$dest_file_path = "output/addBookmark.docx";
$apiInstance->addBookmark(
    $name,
    $start_paragraph_path,
    $start_index_in_paragraph,
    $end_paragraph_path,
    $end_index_in_paragraph,
    $bookmark_name,
    $folder,
    $storage,
    $password,
    $dest_file_path
);