<?php

use Spire\Cloud\Word\Sdk\Client\Api\ParagraphsApi;
use Spire\Cloud\Word\Sdk\Client\Configuration;
use Spire\Cloud\Word\Sdk\Client\Model\Color;
use Spire\Cloud\Word\Sdk\Client\Model\ParagraphFormat;

$appId = "your id";
$appKey = "your key";
$configuration = new Configuration($appId, $appKey);
$apiInstance = new ParagraphsApi($configuration);

$name = "updateParagraphFormat.docx";
$node_path = 'sections/0';
$index = 0;
$folder = "input";
$storage = null;
$password = null;
$dest_file_path = "output/updateParagraphFormat_output.docx";
$format = new ParagraphFormat(array(
    'left_or_inner_indent' => 10,
    'first_line_indent' => 12,
    'background_color' => new Color(array('red' => 100, 'green' => 50, 'blue' => 60))
));
$result = $apiInstance->updateParagraphFormat($name, $node_path, $index, $format, $folder, $storage, $password, $dest_file_path);
