<?php

use Spire\Cloud\Word\Sdk\Client\Api\TablesApi;
use Spire\Cloud\Word\Sdk\Client\Configuration;
use \Spire\Cloud\Word\Sdk\Client\Model\Color;
use \Spire\Cloud\Word\Sdk\Client\Model\TableCellFormat;

$appId = "your id";
$appKey = "your key";
$configuration = new Configuration($appId, $appKey);
$apiInstance = new TablesApi($configuration);

$name = "updateTableCellFormat.docx";
$table_row_path = 'sections/0/tables/0/rows/0';
$index = 0;
$format = new TableCellFormat(array(
    'width' => 50,
    'fit_text' => true,
    'background_color' => new Color(array('red' => 100, 'blue' => 100, 'green' => 200))
));
$folder = "input";
$storage = null;
$password = null;
$dest_file_path = "output/updateTableCellFormat_output.docx";
$result = $apiInstance->updateTableCellFormat(
    $name,
    $table_row_path,
    $index,
    $format,
    $folder,
    $storage,
    $password,
    $dest_file_path
);