<?php

use Spire\Cloud\Word\Sdk\Client\Api\TablesApi;
use Spire\Cloud\Word\Sdk\Client\Configuration;
use \Spire\Cloud\Word\Sdk\Client\Model\TableRowFormat;

$appId = "your id";
$appKey = "your key";
$configuration = new Configuration($appId, $appKey);
$apiInstance = new TablesApi($configuration);

$name = "updateTableRowFormat.docx";
$table_path = 'sections/0/tables/0';
$index = 0;
$format = new TableRowFormat(array(
    'height' => 40,
    'break_across_pages' => true,
    'header' => true));
$folder = "input";
$storage = null;
$password = null;
$dest_file_path =  "output/updateTableRowFormat_output.docx";
$result = $apiInstance->updateTableRowFormat(
    $name,
    $table_path,
    $index,
    $format,
    $folder,
    $storage,
    $password,
    $dest_file_path
);