﻿<?php

use Spire\Cloud\Word\Sdk\Client\Api\TextRangesApi;
use Spire\Cloud\Word\Sdk\Client\Configuration;
use Spire\Cloud\Word\Sdk\Client\Model\Color;
use Spire\Cloud\Word\Sdk\Client\Model\Font;
use Spire\Cloud\Word\Sdk\Client\Model\TextRangeFormat;

$appId = "your id";
$appKey = "your key";
$configuration = new Configuration($appId, $appKey);
$apiInstance = new TextRangesApi($configuration);

$name = "updateTextRange.docx";
$paragraph_path = 'sections/0/paragraphs/0';
$index = 0;
$text_range = new TextRangeFormat(array(
    'text' => 'test_text',
    'font' => new Font(array(
        'font_size' => 40,
        'font_name' => 'Arial',
        'color' => new Color(array(
            'red' => 100,
            'blue' => 100,
            'green' => 100
        ))
    )),
    'background_color' => new Color(array(
        'red' => 10,
        'green' => 10,
        'blue' => 10
    ))
));
$folder = "input";
$storage = null;
$password = null;
$dest_file_path = "output/updateTextRange_output.docx";
$result = $apiInstance->updateTextRange($name, $paragraph_path, $index, $text_range, $folder, $storage, $password, $dest_file_path);

