<?php

use Spire\Cloud\Word\Sdk\Client\Api\DocumentPropertiesApi;
use Spire\Cloud\Word\Sdk\Client\Configuration;
use Spire\Cloud\Word\Sdk\Client\Model\CustomDocumentProperty;

$appId = "your id";
$appKey = "your key";
$configuration = new Configuration($appId, $appKey);
$apiInstance = new DocumentPropertiesApi($configuration);

$properties = array(
    new CustomDocumentProperty(array('name' => 'test_name1', 'value' => 'test_value1')),
    new CustomDocumentProperty(array('name' => 'test_name2', 'value' => 'test_value2'))
);
$name = "addCustomDocumentProperties.docx";
$folder = "input";
$storage = null;
$password = null;
$dest_file_path = "output/addCustomDocumentProperties.docx";
$apiInstance->addCustomDocumentProperties($name, $properties, $password, $folder, $storage, $dest_file_path);