<?php

use Spire\Cloud\Word\Sdk\Client\Api\MailMergeApi;
use Spire\Cloud\Word\Sdk\Client\Configuration;
use Spire\Cloud\Word\Sdk\Client\Model\MailMergeData;

$appId = "your id";
$appKey = "your key";
$configuration = new Configuration($appId, $appKey);
$apiInstance = new MailMergeApi($configuration);

$name = "mailMerge.docx";
$folder = "input";
$storage = null;
$password = null;
$dest_file_path = "output/mailMerge.docx";
$data = array(
    new MailMergeData(array('name' => 'Contact Name', 'value' => 'test_value')),
    new MailMergeData(array('name' => 'Fax', 'value' => 'test_Fax:1234569')),
    new MailMergeData(array('name' => 'Date', 'value' => 'test_date:2019/11/11'))
);
$apiInstance->mailMerge($name, $data, $folder, $storage, $password, $dest_file_path);