<?php

use Spire\Cloud\Word\Sdk\Client\Api\MergeApi;
use Spire\Cloud\Word\Sdk\Client\Configuration;
use Spire\Cloud\Word\Sdk\Client\Model\MergingFile;

$appId = "your id";
$appKey = "your key";
$configuration = new Configuration($appId, $appKey);
$apiInstance = new MergeApi($configuration);

$name = "mergeDocument1.docx";
$folder = "input";
$storage = null;
$password = null;
$dest_file_path = "output/mergeDocument.docx";
$files = array(
    new MergingFile(array(
        'file_name' => 'mergeDocumen2.docx',
        'file_folder' => 'input',
        'file_password' => null
    ))
);
$apiInstance->mergeDocument($name, $files, $folder,  $storage, $password, $dest_file_path);