<?php

use Spire\Cloud\Word\Sdk\Client\Api\SectionsApi;
use Spire\Cloud\Word\Sdk\Client\Configuration;
use Spire\Cloud\Word\Sdk\Client\Model\LineNumber;
use Spire\Cloud\Word\Sdk\Client\Model\PageSetup;

$appId = "your id";
$appKey = "your key";
$configuration = new Configuration($appId, $appKey);
$apiInstance = new SectionsApi($configuration);

$name = "updatePageSetup.docx";
$folder = "input";
$storage = null;
$section_index = 0;
$page_setup = new PageSetup(array(
    'page_width' => 400,
    'page_height' => 500,
    'linenumber' => new LineNumber(array(
        'start_value' => 0,
        'step' => 1,
        'distance_from_text' => 20
    ))
));
$password = null;
$dest_file_path =  "output/updatePageSetup_output.docx";
$result = $apiInstance->updatePageSetup($name, $section_index, $page_setup, $folder,  $storage, $password, $dest_file_path);
