<?php

use Spire\Cloud\Word\Sdk\Client\Api\ShapesApi;
use Spire\Cloud\Word\Sdk\Client\Configuration;
use Spire\Cloud\Word\Sdk\Client\Model\Color;
use Spire\Cloud\Word\Sdk\Client\Model\ShapeFormat;

$appId = "your id";
$appKey = "your key";
$configuration = new Configuration($appId, $appKey);
$apiInstance = new ShapesApi($configuration);

$name = "addShape.docx";
$paragraph_path = 'sections/0/paragraphs/0';
$shape_properties = new ShapeFormat(array(
    'width' => 10,
    'height' => 20,
    'shape_type' => ShapeFormat::SHAPE_TYPE_RECTANGLE,
    'fill_color' => new Color(array('red' => 100, 'green' => 200, 'blue' => 10)),
    'z_order' => 10
));
$index_in_paragraph = 0;
$folder = "input";
$storage = null;
$password = null;
$dest_file_path = "output/addShape_output.docx";
$result = $apiInstance->addShape($name, $paragraph_path, $shape_properties, $folder,  $storage, $index_in_paragraph, $password, $dest_file_path);