<?php

use Spire\Cloud\Word\Sdk\Client\Api\ShapesApi;
use Spire\Cloud\Word\Sdk\Client\Configuration;
use Spire\Cloud\Word\Sdk\Client\Model\Color;
use Spire\Cloud\Word\Sdk\Client\Model\ShapeFormat;

$appId = "your id";
$appKey = "your key";
$configuration = new Configuration($appId, $appKey);
$apiInstance = new ShapesApi($configuration);

$name = "updateShapeProperties.docx";
$paragraph_path = 'sections/0/paragraphs/0';
$index = 0;
$shape_properties = new ShapeFormat(array(
    'width' => 20,
    'height' => 20,
    'shape_type' => ShapeFormat::SHAPE_TYPE_RECTANGLE,
    'fill_color' => new Color(array('red' => 200, 'green' => 200, 'blue' => 200)),
    'z_order' => 10
));
$folder = "input";
$storage = null;
$password = null;
$dest_file_path = "output/updateShapeProperties_output.docx";
$result = $apiInstance->updateShapeProperties(
    $name,
    $paragraph_path,
    $index,
    $shape_properties,
    $folder,
    $storage,
    $password,
    $dest_file_path
);