<?php

use Spire\Cloud\Word\Sdk\Client\Api\TablesApi;
use Spire\Cloud\Word\Sdk\Client\Configuration;
use Spire\Cloud\Word\Sdk\Client\Model\TableFormat;

$appId = "your id";
$appKey = "your key";
$configuration = new Configuration($appId, $appKey);
$apiInstance = new TablesApi($configuration);

$name = "updateTableFormat.docx";
$folder = "input";
$storage = null;
$node_path = 'sections/0';
$index = 0;
$properties = new TableFormat(array(
    'cell_spacing' => 10,
    'auto_resized' => true));
$password = null;
$dest_file_path = "output/updateTableFormat_output.docx";
$result = $apiInstance->updateTableFormat(
    $name,
    $node_path,
    $index,
    $properties,
    $folder,
    $storage,
    $password,
    $dest_file_path
);