﻿<?php

use Spire\Cloud\Word\Sdk\Client\Api\WatermarksApi;
use Spire\Cloud\Word\Sdk\Client\Configuration;
use Spire\Cloud\Word\Sdk\Client\Model\TextWatermark;
use Spire\Cloud\Word\Sdk\Client\Model\Font;
use Spire\Cloud\Word\Sdk\Client\Model\Color;

$appId = "your id";
$appKey = "your key";
$configuration = new Configuration($appId, $appKey);
$apiInstance = new WatermarksApi($configuration);

$name = "setTextWatermark.docx";
$folder = "input";
$storage = null;
$body = new TextWatermark(array(
    'text' => 'test_text',
    'font' => new Font(array(
        'font_size' => 140,
        'font_name' => 'Arial',
        'color' => new Color(array(
            'red' => 200,
            'blue' => 200,
            'green' => 200
        ))
    ))
));
$password = null;
$dest_file_path = "output/setTextWatermark_output.docx";
$result = $apiInstance->setTextWatermark($name, $body, $folder, $storage, $password, $dest_file_path);